# Generated by Django 3.2.3 on 2022-06-15 20:38

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('enquetes', '0003_auto_20220615_1911'),
    ]

    operations = [
        migrations.CreateModel(
            name='Perfil',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('descricao', models.TextField(verbose_name='descrição')),
                ('naturalidade', models.CharField(max_length=30)),
                ('data_nasc', models.DateField(verbose_name='Data de nascimento')),
                ('genero', models.CharField(max_length=30, verbose_name='Gênero literário')),
            ],
            options={
                'verbose_name_plural': 'Perfis',
            },
        ),
        migrations.CreateModel(
            name='Rotulo',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('titulo', models.CharField(max_length=30, verbose_name='título')),
            ],
            options={
                'verbose_name': 'Rótulo',
            },
        ),
        migrations.AddField(
            model_name='pergunta',
            name='data_fim',
            field=models.DateField(null=True, verbose_name='Data de encerramento'),
        ),
        migrations.AddField(
            model_name='pergunta',
            name='imagem',
            field=models.ImageField(blank=True, null=True, upload_to='perguntas'),
        ),
        migrations.CreateModel(
            name='Autor',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('pseudonimo', models.CharField(max_length=40)),
                ('perfil', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='enquetes.perfil')),
            ],
            options={
                'verbose_name_plural': 'Autores',
            },
        ),
        migrations.AddField(
            model_name='pergunta',
            name='autor',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='enquetes.autor'),
        ),
        migrations.AddField(
            model_name='pergunta',
            name='rotulos',
            field=models.ManyToManyField(blank=True, to='enquetes.Rotulo'),
        ),
    ]
